Bug 1764234 - glibc: Update system call names list to Linux 5.3
Summary: glibc: Update system call names list to Linux 5.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.2
Assignee: Patsy Griffin
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1746918
TreeView+ depends on / blocked
 
Reported: 2019-10-22 13:58 UTC by Florian Weimer
Modified: 2020-04-28 16:50 UTC (History)
7 users (show)

Fixed In Version: glibc-2.28-73.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:50:19 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1828 None None None 2020-04-28 16:50:46 UTC

Description Florian Weimer 2019-10-22 13:58:44 UTC
We should backport the following fixes:

commit 7621676f7a5130c030f7fff1cab72dbf2993b837
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Tue May 7 23:57:26 2019 +0000

    Update syscall-names.list for Linux 5.1.

commit 0bb8f8c791862a4ff38a584af23bbb5bf3f90acd
Author: Florian Weimer <fweimer@redhat.com>
Date:   Fri May 31 13:52:16 2019 +0200

    Linux: Add oddly-named arm syscalls to syscall-names.list

commit a63b96fbddbf97feaa068a9efed3b5623a1a1e78
Author: Vincent Chen <vincentc@andestech.com>
Date:   Wed Jun 26 17:30:11 2019 +0800

    Linux: Add nds32 specific syscalls to syscall-names.list

commit 1f7097d09ce628878107ed30341cfc1eb3649a81
Author: Florian Weimer <fweimer@redhat.com>
Date:   Fri Jul 19 08:53:04 2019 +0200

    Linux: Update syscall-names.list to Linux 5.2

commit 9c37bde5a2067e5b4dc878bac0291d6b207b8add
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Fri Aug 2 15:08:02 2019 +0000

    Update kernel version in comment in syscall-names.list.

commit 0f02b6cfc44af73d4d4363c46b3cbb18b8ff9171
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Wed Sep 18 22:57:46 2019 +0000

    Update syscall-names.list for Linux 5.3.

commit e027ddeff60932b6a17f7f7c8b5c0a044b85722d
Author: Dmitry V. Levin <ldv@altlinux.org>
Date:   Thu Oct 10 00:38:28 2019 +0000

    syscall-names.list: fix typos in comment

These should be backported upstream as well (to the glibc 2.28+ release branches), and land in Fedora 30+.

Comment 3 Sergey Kolosov 2019-12-10 13:56:55 UTC
Verified, glibc-2.28-73.el8 contains these system call names.

Comment 5 errata-xmlrpc 2020-04-28 16:50:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1828


Note You need to log in before you can comment on or make changes to this bug.